cross_process_sync_test.cpp File Reference
`#include <core/testing/cross_process_sync.h>`
`#include <core/testing/fork_and_run.h>`
`#include <gtest/gtest.h>`
Include dependency graph for cross_process_sync_test.cpp:

Go to the source code of this file.

## Functions

| TEST (CrossProcessSync, signalling_the_sync_object_results_in_correct_count)
| TEST (CrossProcessSync, timed_out_wait_on_sync_object_throws_correct_exception)

## Function Documentation

## TEST() [1/2]

TEST | ( | CrossProcessSync | ,
|  | signalling_the_sync_object_results_in_correct_count |
| ) |  |

Definition at line 25 of file cross_process_sync_test.cpp.

References core::testing::empty, core::posix::exit::failure, core::testing::fork_and_run(), core::posix::exit::success, core::testing::CrossProcessSync::try_signal_ready_for(), and core::testing::CrossProcessSync::wait_for_signal_ready_for().

Here is the call graph for this function:

## TEST() [2/2]

TEST | ( | CrossProcessSync | ,
|  | timed_out_wait_on_sync_object_throws_correct_exception |
| ) |  |

Definition at line 55 of file cross_process_sync_test.cpp.

References core::testing::CrossProcessSync::wait_for_signal_ready_for().

Here is the call graph for this function: